<script setup>

    import { date_manager } from "~/adapters/date_manager.js";

    const props = defineProps({
        is_active: {
            type: Boolean,
            required: true
        },
        position: {
            type: Number,
            required: true
        },
        date: {
            type: String,
            required: true
        }
    })
    const is_active_class = computed(() => {
        return (props.is_active) ? "bg-las-orange text-white" : "bg-white text-las-orange hover:cursor-pointer hover:bg-orange-100";
    })
    const border_class = computed(() => {
        if(props.position == 0 && props.position == date_manager.getList().length - 1) {
            return "border-t-2 rounded-t-[20px] border-b-2 rounded-b-[20px]";
        }
        else if (props.position == 0) {
            return "border-t-2 rounded-t-[20px]";
        }
        else if(props.position == date_manager.getList().length - 1) {
            return "border-b-2 border-t-2 rounded-b-[20px]";
        }
        else {
            return "border-t-2"
        }
    })
    const date_display = computed(() => {
        if(props.is_active) {
            return "Date " + (props.position + 1);
        }
        else {
            return (props.date != "") ? props.date : "Date " + (props.position + 1);
        }
    });
</script>

<template>
    <div :class="`w-[97px] h-[59px] py-4 text-center ${is_active_class} border-solid border-r-2 border-l-2 border-las-orange ${border_class}`">
       {{ date_display }}
    </div>
</template>